NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Motion.AnalyticalContactBuilder Class Reference

Represents a Motion.AnalyticalContact builder More...

Inheritance diagram for NXOpen.Motion.AnalyticalContactBuilder:
NXOpen.Motion.MotionBuilder NXOpen.IExternalFileReferencer NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ContactTypeOption {
  SphereToSphere, SphereToExtrusion, SphereToRevolution, ExtrusionToRevolution,
  RevolutionToRevolution, SphereToRail, SphereToFlexible, FlexibleToFlexible
}
 Contact type More...
 
enum  ProfileType { None, Circular, Road }
 Profile Type More...
 
enum  ReferenceObjectId { ExtrusionGeometryDataFile, RevolutionGeometryDataFile, SecondRevolutionGeometryDataFile, RailGeometryDataFile }
 the enum for external file reference object id of analytical contact More...
 
enum  SearchMethodType { Fast, Robust }
 Search method Type More...
 

Public Member Functions

unsafe
NXOpen.ExternalFileReferenceAdapter 
EstablishReference (int referenceObjectId, NXOpen.ExternalFileReferenceAdapter.Type referenceType, string externalFileSpec)
 Establish the external reference to the given file specification. More...
 
unsafe string GetExternalFileDefinitionKey (NXOpen.ExternalFileReferenceAdapter adapter)
 Gets the file definition to use for external file adapter. More...
 
unsafe
NXOpen.ExternalFileReferenceAdapter 
GetExternalFileReferenceAdapter (int referenceObjectId)
 Returns the external file reference object. More...
 
unsafe void SetExternalFileReferenceAdapter (int referenceObjectId, NXOpen.ExternalFileReferenceAdapter adapter)
 Sets the external file reference object. More...
 

Properties

unsafe
NXOpen.Motion.SelectAnalyticalContactProperty 
ContactProperty [get]
 Returns the contact property More...
 
unsafe
NXOpen.Motion.AnalyticalContactBuilder.ContactTypeOption 
ContactType [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.Expression EffectiveContactDepth [get]
 Returns the max penetration depth More...
 
unsafe NXOpen.SelectNXObjectList ExtrusionBodies [get]
 Returns the extrusion bodies More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
ExtrusionBodiesOvrCtrl [get, set]
 Returns or sets the override state of extrusion bodies More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
ExtrusionDirectionButtonOvrCtrl [get, set]
 Returns or sets the override state of material side for extrusion More...
 
unsafe bool ExtrusionGeometryData [get, set]
 Returns or sets the extrusion line-arc file option More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
ExtrusionGeometryDataFileOvrCtrl [get, set]
 Returns or sets the override state of extrusion line-arc file More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
ExtrusionGeometryDataOvrCtrl [get, set]
 Returns or sets the override state of extrusion line-arc file option More...
 
unsafe NXOpen.Motion.SelectLink ExtrusionLink [get]
 Returns the extrusion motion body More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
ExtrusionLinkOvrCtrl [get, set]
 Returns or sets the override state of extrusion motion body More...
 
unsafe bool ExtrusionMaterialSide [get, set]
 Returns or sets the material side toggle for extrusion More...
 
unsafe bool FindAllRoots [get, set]
 Returns or sets the find all roots More...
 
unsafe int FirstSuperElementIncrement [get, set]
 Returns or sets the first super element increment More...
 
unsafe NXOpen.Motion.SelectLink FirstSuperElementLink [get]
 Returns the first super element motion body More...
 
unsafe
NXOpen.Motion.FlexSurfaceBuilder 
FlexiblePatch [get]
 Returns the flexible patch More...
 
unsafe bool InfiniteExtrusion [get, set]
 Returns or sets the infinite extrusion More...
 
unsafe bool InfiniteSweep [get, set]
 Returns or sets the infinite sweep for rail More...
 
unsafe NXOpen.Expression MaxTesselationLength [get]
 Returns the max tesselation length More...
 
unsafe string Name [get, set]
 Returns or sets the string name More...
 
unsafe NXOpen.Expression NumberOfContactsToReport [get]
 Returns the number of contacts to report More...
 
unsafe NXOpen.Expression PartialSphereAngle [get]
 Returns the partial sphere angle More...
 
unsafe bool PartialSphereOption [get, set]
 Returns or sets the partial sphere option More...
 
unsafe NXOpen.Direction PartialSphereVector [get, set]
 Returns or sets the partial sphere vector More...
 
unsafe
NXOpen.Motion.AnalyticalContactBuilder.ProfileType 
Profile [get, set]
 Returns or sets the profile More...
 
unsafe NXOpen.Expression RadiusOfExclusion [get]
 Returns the radius of exclusion More...
 
unsafe NXOpen.SelectNXObjectList RailBodies [get]
 Returns the rail bodies More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RailBodiesOvrCtrl [get, set]
 Returns or sets the override state of rail bodies More...
 
unsafe NXOpen.Section RailCurve [get]
 Returns the rail curve More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RailCurveOvrCtrl [get, set]
 Returns or sets the override state of rail curve More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RailDirectionButtonOvrCtrl [get, set]
 Returns or sets the override state of material side for rail More...
 
unsafe bool RailGeometryData [get, set]
 Returns or sets the rail line-arc file option More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RailGeometryDataFileOvrCtrl [get, set]
 Returns or sets the override state of rail line-arc file More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RailGeometryDataOvrCtrl [get, set]
 Returns or sets the override state of rail line-arc file option More...
 
unsafe NXOpen.Motion.SelectLink RailLink [get]
 Returns the rail motion body More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RailLinkOvrCtrl [get, set]
 Returns or sets the override state of rail motion body More...
 
unsafe bool RailMaterialSide [get, set]
 Returns or sets the material side toggle for rail More...
 
unsafe NXOpen.Motion.MotionFunction RailRollAngleCurve [get, set]
 Returns or sets the RailRollAngle function More...
 
unsafe bool RailSplineFunctions [get, set]
 Returns or sets the spline function toggle for rail More...
 
unsafe NXOpen.Motion.MotionFunction RailXCurve [get, set]
 Returns or sets the RailX function More...
 
unsafe NXOpen.Motion.MotionFunction RailYCurve [get, set]
 Returns or sets the RailY function More...
 
unsafe NXOpen.Motion.MotionFunction RailZCurve [get, set]
 Returns or sets the RailZ function More...
 
unsafe NXOpen.SelectNXObjectList RevolutionBodies [get]
 Returns the revolution bodies More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RevolutionBodiesOvrCtrl [get, set]
 Returns or sets the override state of revolution bodies More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RevolutionDirectionButtonOvrCtrl [get, set]
 Returns or sets the override state of material side for revolution More...
 
unsafe bool RevolutionGeometryData [get, set]
 Returns or sets the revolution line-arc file option More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RevolutionGeometryDataFileOvrCtrl [get, set]
 Returns or sets the override state of revolution line-arc file More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RevolutionGeometryDataOvrCtrl [get, set]
 Returns or sets the override state of revolution line-arc file option More...
 
unsafe NXOpen.Motion.SelectLink RevolutionLink [get]
 Returns the revolution motion body More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
RevolutionLinkOvrCtrl [get, set]
 Returns or sets the override state of revolution motion body More...
 
unsafe bool RevolutionMaterialSide [get, set]
 Returns or sets the material side toggle for revolution More...
 
unsafe
NXOpen.Motion.AnalyticalContactBuilder.SearchMethodType 
SearchMethod [get, set]
 Returns or sets the search method More...
 
unsafe
NXOpen.Motion.FlexSurfaceBuilder 
SecondFlexiblePatch [get]
 Returns the second flexible patch More...
 
unsafe NXOpen.SelectNXObjectList SecondRevolutionBodies [get]
 Returns the second revolution bodies More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SecondRevolutionBodiesOvrCtrl [get, set]
 Returns or sets the override state of second revolution bodies More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SecondRevolutionDirectionButtonOvrCtrl [get, set]
 Returns or sets the override state of material side for second revolution More...
 
unsafe bool SecondRevolutionGeometryData [get, set]
 Returns or sets the second revolution line-arc file option More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SecondRevolutionGeometryDataFileOvrCtrl [get, set]
 Returns or sets the override state of second revolution line-arc file More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SecondRevolutionGeometryDataOvrCtrl [get, set]
 Returns or sets the override state of second revolution line-arc file option More...
 
unsafe NXOpen.Motion.SelectLink SecondRevolutionLink [get]
 Returns the second revolution motion body More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SecondRevolutionLinkOvrCtrl [get, set]
 Returns or sets the override state of second revolution motion body More...
 
unsafe bool SecondRevolutionMaterialSide [get, set]
 Returns or sets the material side toggle for second revolution More...
 
unsafe NXOpen.Motion.SelectLink SecondSphereLink [get]
 Returns the second sphere motion body More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SecondSphereLinkOvrCtrl [get, set]
 Returns or sets the override state of second sphere motion body More...
 
unsafe NXOpen.Point SecondSpherePoint [get, set]
 Returns or sets the second sphere point More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SecondSpherePointOvrCtrl [get, set]
 Returns or sets the override state of second sphere point More...
 
unsafe NXOpen.Expression SecondSphereRadius [get]
 Returns the second sphere radius More...
 
unsafe int SecondSuperElementIncrement [get, set]
 Returns or sets the second super element increment More...
 
unsafe NXOpen.Motion.SelectLink SecondSuperElementLink [get]
 Returns the second super element motion body More...
 
unsafe NXOpen.Motion.SelectLink SphereLink [get]
 Returns the sphere motion body More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SphereLinkOvrCtrl [get, set]
 Returns or sets the override state of sphere motion body More...
 
unsafe NXOpen.Point SpherePoint [get, set]
 Returns or sets the sphere point More...
 
unsafe
NXOpen.Motion.ParamOverrideState 
SpherePointOvrCtrl [get, set]
 Returns or sets the override state of sphere point More...
 
unsafe NXOpen.Expression SphereRadius [get]
 Returns the sphere radius More...
 
unsafe int SuperElementReportInstance [get, set]
 Returns or sets the super element report instance More...
 
- Properties inherited from NXOpen.Motion.MotionBuilder
unsafe double DisplayScale [get, set]
 Returns or sets the icon display scale More...
 
unsafe string GroupName [get, set]
 Returns or sets the group name More...
 
unsafe
NXOpen.Motion.MotionObject.GroupType 
GroupType [get, set]
 Returns or sets the group type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Motion.AnalyticalContact builder

To create a new instance of this class, use NXOpen.Motion.AnalyticalContactCollection.CreateAnalyticalContactBuilder

Default values.

Property Value

ContactType

SphereToSphere

EffectiveContactDepth.Value

1000 (millimeters part), 39.3701 (inches part)

ExtrusionGeometryData

0

ExtrusionMaterialSide

1

FindAllRoots

0

FirstSuperElementIncrement

1

InfiniteExtrusion

0

InfiniteSweep

0

MaxTesselationLength.Value

5 (millimeters part), 0.19685 (inches part)

NumberOfContactsToReport.Value

1

Profile

None

RadiusOfExclusion.Value

0 (millimeters part), 0 (inches part)

RailGeometryData

0

RailMaterialSide

1

RevolutionGeometryData

0

RevolutionMaterialSide

1

SecondRevolutionGeometryData

0

SecondRevolutionMaterialSide

1

SecondSphereRadius.Value

1000 (millimeters part), 39.3701 (inches part)

SecondSuperElementIncrement

1

SphereRadius.Value

1000 (millimeters part), 39.3701 (inches part)

SuperElementReportInstance

1

Created in NX12.0.0

Member Enumeration Documentation

Contact type

Enumerator
SphereToSphere 
SphereToExtrusion 
SphereToRevolution 
ExtrusionToRevolution 
RevolutionToRevolution 
SphereToRail 
SphereToFlexible 
FlexibleToFlexible 

Profile Type

Enumerator
None 
Circular 
Road 

the enum for external file reference object id of analytical contact

Enumerator
ExtrusionGeometryDataFile 
RevolutionGeometryDataFile 
SecondRevolutionGeometryDataFile 
RailGeometryDataFile 

Search method Type

Enumerator
Fast 
Robust 

Member Function Documentation

unsafe NXOpen.ExternalFileReferenceAdapter NXOpen.Motion.AnalyticalContactBuilder.EstablishReference ( int  referenceObjectId,
NXOpen.ExternalFileReferenceAdapter.Type  referenceType,
string  externalFileSpec 
)
inline

Establish the external reference to the given file specification.

Created in NX1847.0.0

License requirements: None.

Parameters
referenceObjectIdthe unique identifier to use for this reference if referencer has multiple external references
referenceTypethe kind of reference to establish
externalFileSpecthe external file specification.
Returns
external file reference object

Implements NXOpen.IExternalFileReferencer.

unsafe string NXOpen.Motion.AnalyticalContactBuilder.GetExternalFileDefinitionKey ( NXOpen.ExternalFileReferenceAdapter  adapter)
inline

Gets the file definition to use for external file adapter.

Created in NX1847.0.0

License requirements: None.

Parameters
adapterexternal file reference object
Returns

Implements NXOpen.IExternalFileReferencer.

unsafe NXOpen.ExternalFileReferenceAdapter NXOpen.Motion.AnalyticalContactBuilder.GetExternalFileReferenceAdapter ( int  referenceObjectId)
inline

Returns the external file reference object.

In case the referencer object has multiple external references, use referenceObjectId to return the correct external file adapter.

Created in NX1847.0.0

License requirements: None.

Parameters
referenceObjectIdthe unique identifier of the external reference required in case where referencer has multiple external references
Returns
external file reference object

Implements NXOpen.IExternalFileReferencer.

unsafe void NXOpen.Motion.AnalyticalContactBuilder.SetExternalFileReferenceAdapter ( int  referenceObjectId,
NXOpen.ExternalFileReferenceAdapter  adapter 
)
inline

Sets the external file reference object.

In case the referencer object has multiple external references, use referenceObjectId to set the correct reference.

Created in NX1847.0.0

License requirements: None.

Parameters
referenceObjectIdthe unique identifier of the external reference required in case where referencer has multiple external references
adapterexternal file reference object

Implements NXOpen.IExternalFileReferencer.

Property Documentation

unsafe NXOpen.Motion.SelectAnalyticalContactProperty NXOpen.Motion.AnalyticalContactBuilder.ContactProperty
get

Returns the contact property

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.AnalyticalContactBuilder.ContactTypeOption NXOpen.Motion.AnalyticalContactBuilder.ContactType
getset

Returns or sets the type

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.EffectiveContactDepth
get

Returns the max penetration depth

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.AnalyticalContactBuilder.ExtrusionBodies
get

Returns the extrusion bodies

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.ExtrusionBodiesOvrCtrl
getset

Returns or sets the override state of extrusion bodies

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.ExtrusionDirectionButtonOvrCtrl
getset

Returns or sets the override state of material side for extrusion

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.ExtrusionGeometryData
getset

Returns or sets the extrusion line-arc file option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.ExtrusionGeometryDataFileOvrCtrl
getset

Returns or sets the override state of extrusion line-arc file

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.ExtrusionGeometryDataOvrCtrl
getset

Returns or sets the override state of extrusion line-arc file option

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.ExtrusionLink
get

Returns the extrusion motion body

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.ExtrusionLinkOvrCtrl
getset

Returns or sets the override state of extrusion motion body

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.ExtrusionMaterialSide
getset

Returns or sets the material side toggle for extrusion

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.FindAllRoots
getset

Returns or sets the find all roots

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe int NXOpen.Motion.AnalyticalContactBuilder.FirstSuperElementIncrement
getset

Returns or sets the first super element increment

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.FirstSuperElementLink
get

Returns the first super element motion body

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.FlexSurfaceBuilder NXOpen.Motion.AnalyticalContactBuilder.FlexiblePatch
get

Returns the flexible patch

Created in NX1847.0.0

License requirements: None.

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.InfiniteExtrusion
getset

Returns or sets the infinite extrusion

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.InfiniteSweep
getset

Returns or sets the infinite sweep for rail

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.MaxTesselationLength
get

Returns the max tesselation length

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe string NXOpen.Motion.AnalyticalContactBuilder.Name
getset

Returns or sets the string name

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.NumberOfContactsToReport
get

Returns the number of contacts to report

Created in NX1847.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.PartialSphereAngle
get

Returns the partial sphere angle

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.PartialSphereOption
getset

Returns or sets the partial sphere option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Direction NXOpen.Motion.AnalyticalContactBuilder.PartialSphereVector
getset

Returns or sets the partial sphere vector

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.AnalyticalContactBuilder.ProfileType NXOpen.Motion.AnalyticalContactBuilder.Profile
getset

Returns or sets the profile

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.RadiusOfExclusion
get

Returns the radius of exclusion

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.AnalyticalContactBuilder.RailBodies
get

Returns the rail bodies

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RailBodiesOvrCtrl
getset

Returns or sets the override state of rail bodies

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Section NXOpen.Motion.AnalyticalContactBuilder.RailCurve
get

Returns the rail curve

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RailCurveOvrCtrl
getset

Returns or sets the override state of rail curve

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RailDirectionButtonOvrCtrl
getset

Returns or sets the override state of material side for rail

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RailGeometryData
getset

Returns or sets the rail line-arc file option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RailGeometryDataFileOvrCtrl
getset

Returns or sets the override state of rail line-arc file

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RailGeometryDataOvrCtrl
getset

Returns or sets the override state of rail line-arc file option

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.RailLink
get

Returns the rail motion body

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RailLinkOvrCtrl
getset

Returns or sets the override state of rail motion body

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RailMaterialSide
getset

Returns or sets the material side toggle for rail

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.AnalyticalContactBuilder.RailRollAngleCurve
getset

Returns or sets the RailRollAngle function

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RailSplineFunctions
getset

Returns or sets the spline function toggle for rail

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.AnalyticalContactBuilder.RailXCurve
getset

Returns or sets the RailX function

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.AnalyticalContactBuilder.RailYCurve
getset

Returns or sets the RailY function

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.AnalyticalContactBuilder.RailZCurve
getset

Returns or sets the RailZ function

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.AnalyticalContactBuilder.RevolutionBodies
get

Returns the revolution bodies

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RevolutionBodiesOvrCtrl
getset

Returns or sets the override state of revolution bodies

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RevolutionDirectionButtonOvrCtrl
getset

Returns or sets the override state of material side for revolution

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RevolutionGeometryData
getset

Returns or sets the revolution line-arc file option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RevolutionGeometryDataFileOvrCtrl
getset

Returns or sets the override state of revolution line-arc file

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RevolutionGeometryDataOvrCtrl
getset

Returns or sets the override state of revolution line-arc file option

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.RevolutionLink
get

Returns the revolution motion body

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.RevolutionLinkOvrCtrl
getset

Returns or sets the override state of revolution motion body

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.RevolutionMaterialSide
getset

Returns or sets the material side toggle for revolution

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.AnalyticalContactBuilder.SearchMethodType NXOpen.Motion.AnalyticalContactBuilder.SearchMethod
getset

Returns or sets the search method

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.FlexSurfaceBuilder NXOpen.Motion.AnalyticalContactBuilder.SecondFlexiblePatch
get

Returns the second flexible patch

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionBodies
get

Returns the second revolution bodies

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionBodiesOvrCtrl
getset

Returns or sets the override state of second revolution bodies

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionDirectionButtonOvrCtrl
getset

Returns or sets the override state of material side for second revolution

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionGeometryData
getset

Returns or sets the second revolution line-arc file option

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionGeometryDataFileOvrCtrl
getset

Returns or sets the override state of second revolution line-arc file

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionGeometryDataOvrCtrl
getset

Returns or sets the override state of second revolution line-arc file option

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionLink
get

Returns the second revolution motion body

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionLinkOvrCtrl
getset

Returns or sets the override state of second revolution motion body

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe bool NXOpen.Motion.AnalyticalContactBuilder.SecondRevolutionMaterialSide
getset

Returns or sets the material side toggle for second revolution

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.SecondSphereLink
get

Returns the second sphere motion body

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SecondSphereLinkOvrCtrl
getset

Returns or sets the override state of second sphere motion body

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Point NXOpen.Motion.AnalyticalContactBuilder.SecondSpherePoint
getset

Returns or sets the second sphere point

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SecondSpherePointOvrCtrl
getset

Returns or sets the override state of second sphere point

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.SecondSphereRadius
get

Returns the second sphere radius

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe int NXOpen.Motion.AnalyticalContactBuilder.SecondSuperElementIncrement
getset

Returns or sets the second super element increment

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.SecondSuperElementLink
get

Returns the second super element motion body

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.AnalyticalContactBuilder.SphereLink
get

Returns the sphere motion body

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SphereLinkOvrCtrl
getset

Returns or sets the override state of sphere motion body

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Point NXOpen.Motion.AnalyticalContactBuilder.SpherePoint
getset

Returns or sets the sphere point

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.ParamOverrideState NXOpen.Motion.AnalyticalContactBuilder.SpherePointOvrCtrl
getset

Returns or sets the override state of sphere point

Created in NX1847.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.AnalyticalContactBuilder.SphereRadius
get

Returns the sphere radius

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe int NXOpen.Motion.AnalyticalContactBuilder.SuperElementReportInstance
getset

Returns or sets the super element report instance

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.